
<!DOCTYPE html> 
<html lang='en-US' xml:lang='en-US'> 
<head><title></title> 
<meta charset='utf-8' /> 
<meta content='TeX4ht (https://tug.org/tex4ht/)' name='generator' /> 
<meta content='width=device-width,initial-scale=1' name='viewport' /> 
<link href='latex-doc-ptr.css' rel='stylesheet' type='text/css' /> 
<meta content='latex-doc-ptr.tex' name='src' /> 
</head><body>
<div class='center'>
<!-- l. 6 --><p class='noindent'>
</p><!-- l. 7 --><p class='noindent'><span class='Spectral-Bold-lf-t1-x-x-172'>A First Set of LaTeX Resources</span></p></div>
   <div class='columns-2'>
<!-- l. 17 --><p class='indent'>   This page suggests documentation, add-on components, and other resources for a beginning LaTeX
user.
</p><!-- l. 20 --><p class='indent'>   The links here are to freely available materials, so you can click to see the documentation online. Where
the documentation is also available offline in a typical TeX installation, we provide its name as an end note.
View it by running ‘<span class='ectt-1095'>texdoc </span><span class='Spectral-LightItalic-lf-t1-x-x-109'>name</span>’ in a terminal.
</p>
   <h3 class='sectionHead' id='starting'><a id='x1-1000'></a>Starting</h3>
<!-- l. 32 --><p class='noindent'>To run LaTeX, you must use an online service or install a distribution. Online services are commercial; find
them by entering ‘online latex’ in a search engine. For distributions, your choices are  <a href='https://tug.org/texlive/'>TeX Live</a> on a Unix
system, including GNU/Linux, or on Windows, or the related  <a href='https://tug.org/mactex/'>MacTeX</a> on Macintosh, or  <a href='https://miktex.org/'>MiKTeX</a> on
Windows or a Unix system.
</p><!-- l. 44 --><p class='noindent'>
</p>
   <h4 class='subsectionHead' id='tutorials'><a id='x1-2000'></a>Tutorials</h4>
<!-- l. 45 --><p class='noindent'>The site  <a href='https://www.learnlatex.org/'><span class='ectt-1095'>learnlatex.org</span></a> teaches you the basics in a sound way, and also lets you play with the commands
to see the results. For a more traditional document, the most widely recommended one is  <a href='https://ctan.org/pkg/lshort-english'>The Not-So Short
Guide to LaTeX2e</a>, available in many languages.<sup class='textsuperscript'><a href='#ennote-1' id='enmark-1'><span class='Spectral-Light-lf-t1-'>1</span></a></sup>
</p><!-- l. 59 --><p class='indent'>   <p>Many people use LaTeX to write mathematical text and for this the premier choice is from the
American Mathematical Society. See their  <a href='http://mirror.ctan.org/info/amslatex/primer/amshelp.pdf'>Getting up and running with AMS-LaTeX</a>,<sup class='textsuperscript'><a href='#ennote-2' id='enmark-2'><span class='Spectral-Light-lf-t1-'>2</span></a></sup> and more detail is
in  <a href='http://mirror.ctan.org/macros/latex/required/amsmath/amsldoc.pdf'>Users Guide for the <span class='ectt-1095'>amsmath </span>package</a>.<sup class='textsuperscript'><a href='#ennote-3' id='enmark-3'><span class='Spectral-Light-lf-t1-'>3</span></a></sup>
</p><!-- l. 72 --><p class='noindent'>
</p>
   <h3 class='sectionHead' id='documentation'><a id='x1-3000'></a>Documentation</h3>
<!-- l. 75 --><p class='noindent'>
</p>
   <h4 class='subsectionHead' id='references'><a id='x1-4000'></a>References</h4>
<!-- l. 76 --><p class='noindent'>The nearest thing to a general reference for LaTeX is  <a href='http://mirror.ctan.org/info/latex2e-help-texinfo/latex2e.html'>LaTeX2e unofficial reference manual</a>.<sup class='textsuperscript'><a href='#ennote-4' id='enmark-4'><span class='Spectral-Light-lf-t1-'>4</span></a></sup> Look for
symbols in the  <a href='http://mirror.ctan.org/info/symbols/comprehensive/symbols-letter.pdf'>Comprehensive List of Symbols</a>.<sup class='textsuperscript'><a href='#ennote-5' id='enmark-5'><span class='Spectral-Light-lf-t1-'>5</span></a></sup> And,  <a href='https://tug.org/TUGboat/'>TUGboat</a>, the journal of the  <a href='https://tug.org'>TeX Users Group</a>,
has published many articles, at levels from beginner to expert, almost since the inception of
                                                                                         
                                                                                         
TeX.
</p><!-- l. 90 --><p class='noindent'>
</p>
   <h4 class='subsectionHead' id='faqs'><a id='x1-5000'></a>FAQs</h4>
<!-- l. 91 --><p class='noindent'>Many web pages offer quick help with LaTeX, although they can be out of date. Particularly useful and
reliable are the  <a href='https://texfaq.org/'>TeX FAQ</a>,<sup class='textsuperscript'><a href='#ennote-6' id='enmark-6'><span class='Spectral-Light-lf-t1-'>6</span></a></sup> as well as  <a href='https://tug.org/interest.html'>TeX Resources on the Web</a>. You can also get a handy
general  <a href='http://mirror.ctan.org/info/latexcheat/latexcheat/latexsheet.pdf'>LaTeX Cheat Sheet</a>,<sup class='textsuperscript'><a href='#ennote-7' id='enmark-7'><span class='Spectral-Light-lf-t1-'>7</span></a></sup> as well as the  <a href='http://mirrors.ctan.org/info/undergradmath/undergradmath.pdf'>Math for Undergraduates Cheat Sheet</a>.<sup class='textsuperscript'><a href='#ennote-8' id='enmark-8'><span class='Spectral-Light-lf-t1-'>8</span></a></sup> Also,
<a href='http://mirror.ctan.org/info/l2tabu/english/l2tabuen.pdf'>An essential guide to LaTeX2e usage</a><sup class='textsuperscript'><a href='#ennote-9' id='enmark-9'><span class='Spectral-Light-lf-t1-'>9</span></a></sup> helps you develop sound habits, by saying what not to
do.
</p><!-- l. 109 --><p class='noindent'>
</p>
   <h4 class='subsectionHead' id='questions'><a id='x1-6000'></a>Questions</h4>
<!-- l. 110 --><p class='noindent'>If you are stuck on an issue, the  <a href='https://tex.stackexchange.com/'>TeX-LaTeX Stack Exchange</a> site and the mailing list  <a href='https://lists.tug.org/texhax'>texhax@tug.org</a> are
where knowledgeable people hang out. You are likely to find an answer in their past discussions, which
cover decades, and if not then you can post a question yourself.
</p><!-- l. 119 --><p class='noindent'>
</p>
   <h4 class='subsectionHead' id='books'><a id='x1-7000'></a>Books</h4>
<!-- l. 120 --><p class='noindent'><p>There are many excellent books about LaTeX. Visit the  <a href='https://tug.org/books/'>TeX Users Group’s book list</a> for a selection, and for
discounts.
</p><!-- l. 129 --><p class='noindent'>
</p>
   <h3 class='sectionHead' id='packages'><a id='x1-8000'></a>Packages</h3>
<!-- l. 131 --><p class='noindent'>One of LaTeX’s strengths is the tremendous number of available add-on packages. This list covers most of
what beginners want to do. (There are some comments in parentheses that often come up in conjunction
with these recommendations.)
</p><!-- l. 139 --><p class='noindent'>
</p>
   <h4 class='subsectionHead' id='our-archive'><a id='x1-9000'></a>Our archive</h4>
<!-- l. 140 --><p class='noindent'>The Comprehensive TeX Archive Network,  <a href='https://ctan.org'><span class='Spectral-Light-lf-t1-'>CTAN</span></a>, has the latest official versions of the packages that are
in the distributions, along with documentation.  <a href='https://ctan.org/topics/cloud'>Browsing by topic</a> can be very handy.
</p><!-- l. 149 --><p class='indent'>   <p>If you have trouble finding something, it may be the house package of a journal or institution. Look on
their web page as well as on <span class='Spectral-Light-lf-t1-'>CTAN</span>.
                                                                                         
                                                                                         
</p><!-- l. 155 --><p class='noindent'>
</p>
   <h4 class='subsectionHead' id='every-document'><a id='x1-10000'></a>Every document</h4>
<!-- l. 156 --><p class='noindent'>To change page size, margins, and orientation, use  <a href='https://ctan.org/pkg/geometry'><span class='ectt-1095'>geometry</span></a>.<sup class='textsuperscript'><a href='#ennote-10' id='enmark-10'><span class='Spectral-Light-lf-t1-'>10</span></a></sup> Get multiple columns with
<a href='https://ctan.org/pkg/multicol'><span class='ectt-1095'>multicol</span></a>.<sup class='textsuperscript'><a href='#ennote-11' id='enmark-11'><span class='Spectral-Light-lf-t1-'>11</span></a></sup>
</p><!-- l. 160 --><p class='indent'>   <p>As referred to above, any document containing significant amounts of mathematics should use the
American Mathematical Society’s packages  <a href='https://ctan.org/pkg/amsmath'><span class='ectt-1095'>amsmath</span></a><sup class='textsuperscript'><a href='#ennote-12' id='enmark-12'><span class='Spectral-Light-lf-t1-'>12</span></a></sup> and  <a href='https://ctan.org/pkg/amsfonts'><span class='ectt-1095'>amsfonts</span></a>.<sup class='textsuperscript'><a href='#ennote-13' id='enmark-13'><span class='Spectral-Light-lf-t1-'>13</span></a></sup> Also use their  <a href='https://ctan.org/pkg/amsthm'><span class='ectt-1095'>amsthm</span></a><sup class='textsuperscript'><a href='#ennote-14' id='enmark-14'><span class='Spectral-Light-lf-t1-'>14</span></a></sup> for
producing theorem environments. Notes: (1)  <a href='https://ctan.org/pkg/amsfonts'><span class='ectt-1095'>amssymb</span></a> inputs  <a href='https://ctan.org/pkg/amsfonts'><span class='ectt-1095'>amsfonts</span></a> so load the former instead of the
latter, (2) many authors also use the calligraphic characters in  <a href='https://ctan.org/pkg/rsfs'><span class='ectt-1095'>rsfs</span></a>,<sup class='textsuperscript'><a href='#ennote-15' id='enmark-15'><span class='Spectral-Light-lf-t1-'>15</span></a></sup> (3) get bold math symbols with  <a href='https://ctan.org/pkg/bm'><span class='ectt-1095'>bm</span></a>,<sup class='textsuperscript'><a href='#ennote-16' id='enmark-16'><span class='Spectral-Light-lf-t1-'>16</span></a></sup>
(4) don’t load  <a href='https://ctan.org/pkg/amsmath'><span class='ectt-1095'>amsmath</span></a> directly, instead get it by loading  <a href='https://ctan.org/pkg/mathtools'><span class='ectt-1095'>mathtools</span></a><sup class='textsuperscript'><a href='#ennote-17' id='enmark-17'><span class='Spectral-Light-lf-t1-'>17</span></a></sup> for some useful improvements, and
(4) load  <a href='https://ctan.org/pkg/amsthm'><span class='ectt-1095'>amsthm</span></a> after  <a href='https://ctan.org/pkg/mathtools'><span class='ectt-1095'>mathtools</span></a>.
</p><!-- l. 178 --><p class='indent'>   <p>Also, include  <a href='https://ctan.org/pkg/microtype'><span class='ectt-1095'>microtype</span></a>.<sup class='textsuperscript'><a href='#ennote-18' id='enmark-18'><span class='Spectral-Light-lf-t1-'>18</span></a></sup> It will make your document have fewer awkward lines.
</p><!-- l. 185 --><p class='noindent'>
</p>
   <h4 class='subsectionHead' id='inside-a-document'><a id='x1-11000'></a>Inside a document</h4>
<!-- l. 186 --><p class='noindent'>Tweak the layout of lists with  <a href='https://ctan.org/pkg/enumitem'><span class='ectt-1095'>enumitem</span></a>.<sup class='textsuperscript'><a href='#ennote-19' id='enmark-19'><span class='Spectral-Light-lf-t1-'>19</span></a></sup>
</p><!-- l. 188 --><p class='indent'>   <p>Enhance captions with  <a href='https://ctan.org/pkg/caption'><span class='ectt-1095'>caption</span></a><sup class='textsuperscript'><a href='#ennote-20' id='enmark-20'><span class='Spectral-Light-lf-t1-'>20</span></a></sup> and control floating environments with  <a href='https://ctan.org/pkg/float'><span class='ectt-1095'>float</span></a>.<sup class='textsuperscript'><a href='#ennote-21' id='enmark-21'><span class='Spectral-Light-lf-t1-'>21</span></a></sup> (In particular, this
package provides the ‘<span class='ectt-1095'>H</span>’ option to override automatic float placement and put something exactly where you
ask. This may cause issues&nbsp;&mdash; what if you want to include a two inch tall graphic on a page that has only an
inch left?&nbsp;&mdash; but it sometimes is what you want.)
</p><!-- l. 199 --><p class='indent'>   <p>Get hyperlinks and turn references into links with  <a href='https://ctan.org/pkg/hyperref'><span class='ectt-1095'>hyperref</span></a><sup class='textsuperscript'><a href='#ennote-22' id='enmark-22'><span class='Spectral-Light-lf-t1-'>22</span></a></sup> (make sure to set it up, as with
<code class='lstinline'><span style='color:#000000'>\hypersetup{colorlinks=true}</span></code>). Have cross-references that say ‘Theorem 1.2’ instead of just ‘1.2’ with
<a href='https://ctan.org/pkg/cleveref'><span class='ectt-1095'>cleveref</span></a>.<sup class='textsuperscript'><a href='#ennote-23' id='enmark-23'><span class='Spectral-Light-lf-t1-'>23</span></a></sup> For <span class='Spectral-Light-lf-t1-'>URL</span>’s and file paths that can break across lines, use  <a href='https://ctan.org/pkg/url'><span class='ectt-1095'>url</span></a>.<sup class='textsuperscript'><a href='#ennote-24' id='enmark-24'><span class='Spectral-Light-lf-t1-'>24</span></a></sup> (If you use  <a href='https://ctan.org/pkg/hyperref'><span class='ectt-1095'>hyperref</span></a> then note
that it has its own commands for the  <a href='https://ctan.org/pkg/cleveref'><span class='ectt-1095'>cleveref</span></a> and  <a href='https://ctan.org/pkg/url'><span class='ectt-1095'>url</span></a> functions.)
</p><!-- l. 210 --><p class='indent'>   <p>Inside verbatim text, make single quotes come out correctly with  <a href='https://ctan.org/pkg/upquote'><span class='ectt-1095'>upquote</span></a>.<sup class='textsuperscript'><a href='#ennote-25' id='enmark-25'><span class='Spectral-Light-lf-t1-'>25</span></a></sup> For including computer
code, the  <a href='https://ctan.org/pkg/listings'><span class='ectt-1095'>listings</span></a><sup class='textsuperscript'><a href='#ennote-26' id='enmark-26'><span class='Spectral-Light-lf-t1-'>26</span></a></sup> package is very popular. (Copy and paste for computer code is especially convenient.
This is a start for the  <a href='https://ctan.org/pkg/listings'><span class='ectt-1095'>listings</span></a> package. </p><!-- l. 219 -->
     <pre class='lstlisting' id='listing-2'><span class='label'><a id='x1-11001r1'></a></span><span style='color:#000000'><span class='ectt-1000'>\</span></span><span style='color:#000000'><span class='ectt-1000'>lstset</span></span><span style='color:#000000'><span class='ectt-1000'>{</span></span><span style='color:#000000'><span class='ectt-1000'>basicstyle</span></span><span style='color:#000000'><span class='ectt-1000'>=\</span></span><span style='color:#000000'><span class='ectt-1000'>ttfamily</span></span><span style='color:#000000'><span class='ectt-1000'>,</span></span> 
<span class='label'><a id='x1-11002r2'></a></span><span style='color:#000000'>        <span class='ectt-1000'>keepspaces=true,</span> 
</span><span class='label'><a id='x1-11003r3'></a></span><span style='color:#000000'>        <span class='ectt-1000'>columns=fullflexible}</span></span></pre>
     
<!-- l. 224 --><p class='indent'>   But it is not a full solution. The results depend on the <span class='Spectral-Light-lf-t1-'>PDF </span>viewer and worse, if your code line begins
with blank spaces then after copy and paste those spaces are gone.)
</p><!-- l. 229 --><p class='indent'>   <p>If you use Python,  <a href='https://ctan.org/pkg/pythontex'><span class='ectt-1095'>pythontex</span></a><sup class='textsuperscript'><a href='#ennote-27' id='enmark-27'><span class='Spectral-Light-lf-t1-'>27</span></a></sup> will show code listings, but it also allows you to execute Python and put
the results in your output. Do the same for the <span class='Spectral-LightItalic-lf-t1-x-x-109'>Sage </span>mathematics software with  <a href='https://ctan.org/pkg/sagetex'><span class='ectt-1095'>sagetex</span></a>, and similar
support exists for other languages.
</p><!-- l. 238 --><p class='indent'>   <p>There are many packages that add table capabilities, such as multirow entries and breaking across
pages. The first package to try is  <a href='https://ctan.org/pkg/array'><span class='ectt-1095'>array</span></a>,<sup class='textsuperscript'><a href='#ennote-28' id='enmark-28'><span class='Spectral-Light-lf-t1-'>28</span></a></sup> which lets you define your own column types. To handle
scientific units, use  <a href='https://ctan.org/pkg/siunitx'><span class='ectt-1095'>siunitx</span></a><sup class='textsuperscript'><a href='#ennote-29' id='enmark-29'><span class='Spectral-Light-lf-t1-'>29</span></a></sup> (which also has a table column type for aligning on a decimal
point).
</p><!-- l. 247 --><p class='indent'>   <p>Make boxes that are colored or framed, such as boxes for theorems, with  <a href='https://ctan.org/pkg/tcolorbox'><span class='ectt-1095'>tcolorbox</span></a>.<sup class='textsuperscript'><a href='#ennote-30' id='enmark-30'><span class='Spectral-Light-lf-t1-'>30</span></a></sup>
</p><!-- l. 251 --><p class='indent'>   Use  <a href='https://ctan.org/pkg/babel'><span class='ectt-1095'>babel</span></a><sup class='textsuperscript'><a href='#ennote-31' id='enmark-31'><span class='Spectral-Light-lf-t1-'>31</span></a></sup> for internationalization, including changing the title of the abstract or the bibliography.
(Note that LaTeX now defaults to UTF-8 encoded input.)
</p><!-- l. 256 --><p class='indent'>   <p>Finally, when developing a document, you often want to generate filler text. Use  <a href='https://ctan.org/pkg/lipsum'><span class='ectt-1095'>lipsum</span></a>.<sup class='textsuperscript'><a href='#ennote-32' id='enmark-32'><span class='Spectral-Light-lf-t1-'>32</span></a></sup>
                                                                                         
                                                                                         
</p><!-- l. 263 --><p class='noindent'>
</p>
   <h4 class='subsectionHead' id='color-and-graphics'><a id='x1-12000'></a>Color and graphics</h4>
<!-- l. 264 --><p class='noindent'>For colors, use  <a href='https://ctan.org/pkg/xcolor'><span class='ectt-1095'>xcolor</span></a>.<sup class='textsuperscript'><a href='#ennote-33' id='enmark-33'><span class='Spectral-Light-lf-t1-'>33</span></a></sup>
</p><!-- l. 267 --><p class='indent'>   <p>To include graphics and do simple manipulations such as resizing, use  <a href='https://ctan.org/pkg/graphicx'><span class='ectt-1095'>graphicx</span></a>.<sup class='textsuperscript'><a href='#ennote-34' id='enmark-34'><span class='Spectral-Light-lf-t1-'>34</span></a></sup> Use the <span class='Spectral-Light-lf-t1-'>JPG </span>format
for photos, <span class='Spectral-Light-lf-t1-'>PNG </span>for other kinds of raster graphics, and <span class='Spectral-Light-lf-t1-'>PDF </span>for vector graphics. If your graphic is in another
format then convert it to one of these three. (Usually in your LaTeX source, you give the file name without
the extension, as with <code class='lstinline'><span style='color:#000000'>\includegraphics{myplot}</span></code>.) Include parts of an outside <span class='Spectral-Light-lf-t1-'>PDF </span>document with
<a href='https://ctan.org/pkg/pdfpages'><span class='ectt-1095'>pdfpages</span></a>.<sup class='textsuperscript'><a href='#ennote-35' id='enmark-35'><span class='Spectral-Light-lf-t1-'>35</span></a></sup> Include video or sound using  <a href='https://ctan.org/pkg/media9'><span class='ectt-1095'>media9</span></a>.<sup class='textsuperscript'><a href='#ennote-36' id='enmark-36'><span class='Spectral-Light-lf-t1-'>36</span></a></sup>
</p><!-- l. 280 --><p class='indent'>   <p>In your plots and graphics, you want that the fonts and notations match your document. You have a few
choices. Draw inside your document with  <a href='https://ctan.org/pkg/pgf'>Ti<span class='Spectral-LightItalic-lf-t1-x-x-109'>k</span>Z</a>.<sup class='textsuperscript'><a href='#ennote-37' id='enmark-37'><span class='Spectral-Light-lf-t1-'>37</span></a></sup> You can instead draw using an external command
language such as  <a href='https://asymptote.sourceforge.io/'>Asymptote</a>,<sup class='textsuperscript'><a href='#ennote-38' id='enmark-38'><span class='Spectral-Light-lf-t1-'>38</span></a></sup> and bring the results in as graphics. And there are other options, such as
that the  <a href='http://www.gnuplot.info/'>Gnuplot</a> plotting software will output Ti<span class='Spectral-LightItalic-lf-t1-x-x-109'>k</span>Z commands, and the  <a href='https://inkscape.org/'>Inkscape</a> vector graphics editor
allows you to embed LaTeX-generated equations.
</p><!-- l. 296 --><p class='noindent'>
</p>
   <h4 class='subsectionHead' id='front-and-back-matter-headers-footers'><a id='x1-13000'></a>Front and back matter, headers, footers</h4>
<!-- l. 297 --><p class='noindent'>To style chapter and section titles, use  <a href='https://ctan.org/pkg/titlesec'><span class='ectt-1095'>titlesec</span></a>.<sup class='textsuperscript'><a href='#ennote-39' id='enmark-39'><span class='Spectral-Light-lf-t1-'>39</span></a></sup> For page headers and footers, reach for  <a href='https://ctan.org/pkg/fancyhdr'><span class='ectt-1095'>fancyhdr</span></a>.<sup class='textsuperscript'><a href='#ennote-40' id='enmark-40'><span class='Spectral-Light-lf-t1-'>40</span></a></sup>
You can tweak the format of tables of contents, lists of figures, etc., with  <a href='https://ctan.org/pkg/tocloft'><span class='ectt-1095'>tocloft</span></a>.<sup class='textsuperscript'><a href='#ennote-41' id='enmark-41'><span class='Spectral-Light-lf-t1-'>41</span></a></sup>
</p><!-- l. 305 --><p class='indent'>   <p>For footnotes, use  <a href='https://ctan.org/pkg/footmisc'><span class='ectt-1095'>footmisc</span></a>.<sup class='textsuperscript'><a href='#ennote-42' id='enmark-42'><span class='Spectral-Light-lf-t1-'>42</span></a></sup> Make an index with  <a href='https://ctan.org/pkg/makeindex'><span class='ectt-1095'>makeindex</span></a>.<sup class='textsuperscript'><a href='#ennote-43' id='enmark-43'><span class='Spectral-Light-lf-t1-'>43</span></a></sup> With  <a href='https://ctan.org/pkg/answers'><span class='ectt-1095'>answers</span></a><sup class='textsuperscript'><a href='#ennote-44' id='enmark-44'><span class='Spectral-Light-lf-t1-'>44</span></a></sup> you can send
exercise answers to an external file, where you can make them a separate document or include them at the
end of the current one.
</p><!-- l. 313 --><p class='indent'>   <p>Bibliographies are a thorny area. Often you have strict requirements, such as from the  <a href='https://ctan.org/pkg/MLA'><span class='ectt-1095'>MLA</span></a>.<sup class='textsuperscript'><a href='#ennote-45' id='enmark-45'><span class='Spectral-Light-lf-t1-'>45</span></a></sup> <span class='Spectral-Light-lf-t1-'>CTAN </span>is a
big help here; check out the many styles for both  <a href='https://ctan.org/topic/bibtex-sty'>B<span class='Spectral-Light-lf-sc-t1-x-x-109'>ib</span>TeX</a><sup class='textsuperscript'><a href='#ennote-46' id='enmark-46'><span class='Spectral-Light-lf-t1-'>46</span></a></sup> and  <a href='https://ctan.org/topic/biblatex'>B<span class='Spectral-Light-lf-sc-t1-x-x-109'>ib</span>LaTeX</a>.<sup class='textsuperscript'><a href='#ennote-47' id='enmark-47'><span class='Spectral-Light-lf-t1-'>47</span></a></sup>
</p><!-- l. 324 --><p class='noindent'>
</p>
   <h4 class='subsectionHead' id='special-documents'><a id='x1-14000'></a>Special documents</h4>
<!-- l. 325 --><p class='noindent'>Make exams and problem sets with the  <a href='https://ctan.org/pkg/exam'><span class='ectt-1095'>exam</span></a><sup class='textsuperscript'><a href='#ennote-48' id='enmark-48'><span class='Spectral-Light-lf-t1-'>48</span></a></sup> class.
</p><!-- l. 329 --><p class='indent'>   <p>There are many, many resume and CV packages. Start with <span class='Spectral-Light-lf-t1-'>CTAN</span>’s  <a href='https://ctan.org/topic/cv'>cv topic</a>.
</p><!-- l. 333 --><p class='indent'>   <p>To make presentations, use the  <a href='https://ctan.org/pkg/beamer'><span class='ectt-1095'>beamer</span></a><sup class='textsuperscript'><a href='#ennote-49' id='enmark-49'><span class='Spectral-Light-lf-t1-'>49</span></a></sup> class. (However, with this package you are entering another
world, where many of the packages discussed here do not work. For example, section title styling happens
via a completely different mechanism.)
</p><!-- l. 343 --><p class='noindent'>
</p>
   <h3 class='sectionHead' id='fonts-and-engines'><a id='x1-15000'></a>Fonts and engines</h3>
<!-- l. 344 --><p class='noindent'>The documentation for font use commands from the LaTeX developers is  <a href='http://mirror.ctan.org/macros/latex/base/fntguide.pdf'>LaTeX2e font selection</a>.<sup class='textsuperscript'><a href='#ennote-50' id='enmark-50'><span class='Spectral-Light-lf-t1-'>50</span></a></sup>
</p><!-- l. 348 --><p class='indent'>   To move beyond the default fonts, visit the  <a href='https://tug.org/FontCatalogue/'>LaTeX Font Catalogue</a>, which includes copy and paste code
to make each one work.
</p><!-- l. 353 --><p class='indent'>   Beyond that list, you can also use your computer system’s fonts (this may make your source file harder to
share with friends, though). The background is: to convert LaTeX source to <span class='Spectral-Light-lf-t1-'>PDF </span>output there
                                                                                         
                                                                                         
are three varieties of the TeX engine. Currently the most common is  <a href='https://tug.org/applications/pdftex/'>pdfTeX</a>.<sup class='textsuperscript'><a href='#ennote-51' id='enmark-51'><span class='Spectral-Light-lf-t1-'>51</span></a></sup> For instance,
this document was generated with <span class='obeylines-h'><code class='verb'>pdflatex latex-doc-ptr.tex</code></span>. Two further developments,
<a href='https://tug.org/xetex/'>X  ETeX</a>,<sup class='textsuperscript'><a href='#ennote-52' id='enmark-52'><span class='Spectral-Light-lf-t1-'>52</span></a></sup> and  <a href='http://www.luatex.org/'>LuaTeX</a>,<sup class='textsuperscript'><a href='#ennote-53' id='enmark-53'><span class='Spectral-Light-lf-t1-'>53</span></a></sup> can leverage the  <a href='https://ctan.org/pkg/fontspec'><span class='ectt-1095'>fontspec</span></a><sup class='textsuperscript'><a href='#ennote-54' id='enmark-54'><span class='Spectral-Light-lf-t1-'>54</span></a></sup> package to use your system’s fonts,
such as OpenType and TrueType fonts, in addition to the ones from your TeX distribution.
(Mathematics requires much special tuning, though, so most of the time you cannot use system fonts for
math.)
</p><!-- l. 376 --><p class='indent'>   More is on the  <a href='https://tug.org/fonts/'>TeX Users Group’s font page</a>.
</p><!-- l. 384 --><p class='noindent'>
</p>
   <h3 class='sectionHead' id='writing-latex'><a id='x1-16000'></a>Writing LaTeX</h3>
<!-- l. 386 --><p class='noindent'><p>There are many ways to make writing LaTeX source easier. Most people use a source code editor, such as
<a href='https://www.texstudio.org/'>TeXstudio</a>, or Emacs with the add-on mode  <a href='https://www.gnu.org/software/auctex/'>AUC-TeX</a>, or  <a href='https://pages.uoregon.edu/koch/texshop/'>TeXShop</a> on a Mac.
</p><!-- l. 400 --><p class='noindent'>
</p>
   <h3 class='sectionHead' id='pronunciation'><a id='x1-17000'></a>Pronunciation</h3>
<!-- l. 401 --><p class='noindent'>Pronounce LaTeX as &apos;la-tech&apos; or &apos;lay-tech&apos;, with emphasis on either syllable. We prefer the first, with
emphasis on the first syllable.
</p><!-- l. 408 --><p class='noindent'>
</p>
   <h3 class='sectionHead' id='this-document'><a id='x1-18000'></a>This document</h3>
<!-- l. 409 --><p class='noindent'>To contact this document’s authors with suggestions and corrections please see its page at 
<a class='url' href='https://ctan.org/pkg/latex-doc-ptr'><span class='ectt-1095'>https://ctan.org/pkg/latex-doc-ptr</span></a>.
</p><!-- l. 415 --><p class='noindent'>
</p>
   <h3 class='sectionHead' id='welcome-to-the-community'><a id='x1-19000'></a>Welcome to the community!</h3>
<!-- l. 417 --><p class='noindent'>One reason that all of these resources are available is the work of the many  <a href='https://tug.org/usergroups.html'>user groups</a>, including the  <a href='https://tug.org/'>TeX
Users Group</a>. Please consider joining.
</p><!-- l. 426 --><p class='noindent'>_________________________________________________________________________________________
</p><!-- l. 429 --><p class='noindent'>
</p>
   <h3 class='sectionHead' id='package-names-for-texdoc'><a id='x1-20000'></a>Package names, for texdoc</h3>
<!-- l. 429 --><p class='noindent'>
                                                                                         
                                                                                         
</p><!-- l. 4 --><p class='indent'>   <a href='#enmark-1' id='ennote-1'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>1</span></sup></a><a id='x1-20001x'></a> <a href='https://ctan.org/pkg/lshort'><span class='ectt-0900'>lshort</span></a>  <a href='#enmark-2' id='ennote-2'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>2</span></sup></a><a id='x1-20002x'></a> <a href='https://ctan.org/pkg/amshelp'><span class='ectt-0900'>amshelp</span></a>  <a href='#enmark-3' id='ennote-3'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>3</span></sup></a><a id='x1-20003x'></a> <a href='https://ctan.org/pkg/amsmath'><span class='ectt-0900'>amsmath</span></a>  <a href='#enmark-4' id='ennote-4'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>4</span></sup></a><a id='x1-20004x'></a> <a href='https://ctan.org/pkg/latex2e'><span class='ectt-0900'>latex2e</span></a>  <a href='#enmark-5' id='ennote-5'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>5</span></sup></a><a id='x1-20005x'></a> <a href='https://ctan.org/pkg/comprehensive'><span class='ectt-0900'>comprehensive</span></a>  <a href='#enmark-6' id='ennote-6'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>6</span></sup></a><a id='x1-20006x'></a> <a href='https://ctan.org/pkg/faq'><span class='ectt-0900'>faq</span></a>  <a href='#enmark-7' id='ennote-7'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>7</span></sup></a><a id='x1-20007x'></a> <a href='https://ctan.org/pkg/latexcheat'><span class='ectt-0900'>latexcheat</span></a>  <a href='#enmark-8' id='ennote-8'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>8</span></sup></a><a id='x1-20008x'></a> <a href='https://ctan.org/pkg/undergradmath'><span class='ectt-0900'>undergradmath</span></a>  <a href='#enmark-9' id='ennote-9'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>9</span></sup></a><a id='x1-20009x'></a> <a href='https://ctan.org/pkg/l2tabuen'><span class='ectt-0900'>l2tabuen</span></a>  <a href='#enmark-10' id='ennote-10'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>10</span></sup></a><a id='x1-20010x'></a>
<a href='https://ctan.org/pkg/geometry'><span class='ectt-0900'>geometry</span></a>  <a href='#enmark-11' id='ennote-11'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>11</span></sup></a><a id='x1-20011x'></a> <a href='https://ctan.org/pkg/multicol'><span class='ectt-0900'>multicol</span></a>  <a href='#enmark-12' id='ennote-12'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>12</span></sup></a><a id='x1-20012x'></a> <a href='https://ctan.org/pkg/amsmath'><span class='ectt-0900'>amsmath</span></a>  <a href='#enmark-13' id='ennote-13'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>13</span></sup></a><a id='x1-20013x'></a> <a href='https://ctan.org/pkg/amssymb'><span class='ectt-0900'>amssymb</span></a>  <a href='#enmark-14' id='ennote-14'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>14</span></sup></a><a id='x1-20014x'></a> <a href='https://ctan.org/pkg/amsthm'><span class='ectt-0900'>amsthm</span></a>  <a href='#enmark-15' id='ennote-15'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>15</span></sup></a><a id='x1-20015x'></a> <a href='https://ctan.org/pkg/rsfs'><span class='ectt-0900'>rsfs</span></a>  <a href='#enmark-16' id='ennote-16'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>16</span></sup></a><a id='x1-20016x'></a> <a href='https://ctan.org/pkg/bm'><span class='ectt-0900'>bm</span></a>  <a href='#enmark-17' id='ennote-17'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>17</span></sup></a><a id='x1-20017x'></a> <a href='https://ctan.org/pkg/mathtools'><span class='ectt-0900'>mathtools</span></a>  <a href='#enmark-18' id='ennote-18'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>18</span></sup></a><a id='x1-20018x'></a> <a href='https://ctan.org/pkg/microtype'><span class='ectt-0900'>microtype</span></a>  <a href='#enmark-19' id='ennote-19'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>19</span></sup></a><a id='x1-20019x'></a> <a href='https://ctan.org/pkg/enumitem'><span class='ectt-0900'>enumitem</span></a>  <a href='#enmark-20' id='ennote-20'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>20</span></sup></a><a id='x1-20020x'></a> <a href='https://ctan.org/pkg/caption'><span class='ectt-0900'>caption</span></a>  <a href='#enmark-21' id='ennote-21'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>21</span></sup></a><a id='x1-20021x'></a>
<a href='https://ctan.org/pkg/float'><span class='ectt-0900'>float</span></a>  <a href='#enmark-22' id='ennote-22'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>22</span></sup></a><a id='x1-20022x'></a> <a href='https://ctan.org/pkg/hyperref'><span class='ectt-0900'>hyperref</span></a>  <a href='#enmark-23' id='ennote-23'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>23</span></sup></a><a id='x1-20023x'></a> <a href='https://ctan.org/pkg/cleveref'><span class='ectt-0900'>cleveref</span></a>  <a href='#enmark-24' id='ennote-24'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>24</span></sup></a><a id='x1-20024x'></a> <a href='https://ctan.org/pkg/url'><span class='ectt-0900'>url</span></a>  <a href='#enmark-25' id='ennote-25'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>25</span></sup></a><a id='x1-20025x'></a> <a href='https://ctan.org/pkg/upquote'><span class='ectt-0900'>upquote</span></a>  <a href='#enmark-26' id='ennote-26'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>26</span></sup></a><a id='x1-20026x'></a> <a href='https://ctan.org/pkg/listings'><span class='ectt-0900'>listings</span></a>  <a href='#enmark-27' id='ennote-27'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>27</span></sup></a><a id='x1-20027x'></a> <a href='https://ctan.org/pkg/pythontex'><span class='ectt-0900'>pythontex</span></a>  <a href='#enmark-28' id='ennote-28'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>28</span></sup></a><a id='x1-20028x'></a> <a href='https://ctan.org/pkg/array'><span class='ectt-0900'>array</span></a>  <a href='#enmark-29' id='ennote-29'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>29</span></sup></a><a id='x1-20029x'></a> <a href='https://ctan.org/pkg/siunitx'><span class='ectt-0900'>siunitx</span></a>  <a href='#enmark-30' id='ennote-30'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>30</span></sup></a><a id='x1-20030x'></a> <a href='https://ctan.org/pkg/tcolorbox'><span class='ectt-0900'>tcolorbox</span></a>  <a href='#enmark-31' id='ennote-31'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>31</span></sup></a><a id='x1-20031x'></a> <a href='https://ctan.org/pkg/babel'><span class='ectt-0900'>babel</span></a>  <a href='#enmark-32' id='ennote-32'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>32</span></sup></a><a id='x1-20032x'></a>
<a href='https://ctan.org/pkg/lipsum'><span class='ectt-0900'>lipsum</span></a>  <a href='#enmark-33' id='ennote-33'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>33</span></sup></a><a id='x1-20033x'></a> <a href='https://ctan.org/pkg/xcolor'><span class='ectt-0900'>xcolor</span></a>  <a href='#enmark-34' id='ennote-34'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>34</span></sup></a><a id='x1-20034x'></a> <a href='https://ctan.org/pkg/graphics'><span class='ectt-0900'>graphics</span></a>  <a href='#enmark-35' id='ennote-35'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>35</span></sup></a><a id='x1-20035x'></a> <a href='https://ctan.org/pkg/pdfpages'><span class='ectt-0900'>pdfpages</span></a>  <a href='#enmark-36' id='ennote-36'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>36</span></sup></a><a id='x1-20036x'></a> <a href='https://ctan.org/pkg/media9'><span class='ectt-0900'>media9</span></a>  <a href='#enmark-37' id='ennote-37'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>37</span></sup></a><a id='x1-20037x'></a> <a href='https://ctan.org/pkg/tikz'><span class='ectt-0900'>tikz</span></a>  <a href='#enmark-38' id='ennote-38'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>38</span></sup></a><a id='x1-20038x'></a> <a href='https://ctan.org/pkg/asymptote'><span class='ectt-0900'>asymptote</span></a>  <a href='#enmark-39' id='ennote-39'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>39</span></sup></a><a id='x1-20039x'></a> <a href='https://ctan.org/pkg/titlesec'><span class='ectt-0900'>titlesec</span></a>  <a href='#enmark-40' id='ennote-40'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>40</span></sup></a><a id='x1-20040x'></a> <a href='https://ctan.org/pkg/fancyhdr'><span class='ectt-0900'>fancyhdr</span></a>  <a href='#enmark-41' id='ennote-41'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>41</span></sup></a><a id='x1-20041x'></a> <a href='https://ctan.org/pkg/tocloft'><span class='ectt-0900'>tocloft</span></a>  <a href='#enmark-42' id='ennote-42'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>42</span></sup></a><a id='x1-20042x'></a> <a href='https://ctan.org/pkg/footmisc'><span class='ectt-0900'>footmisc</span></a>  <a href='#enmark-43' id='ennote-43'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>43</span></sup></a><a id='x1-20043x'></a>
<a href='https://ctan.org/pkg/makeindex'><span class='ectt-0900'>makeindex</span></a>  <a href='#enmark-44' id='ennote-44'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>44</span></sup></a><a id='x1-20044x'></a> <a href='https://ctan.org/pkg/answers'><span class='ectt-0900'>answers</span></a>  <a href='#enmark-45' id='ennote-45'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>45</span></sup></a><a id='x1-20045x'></a> <a href='https://ctan.org/pkg/mla'><span class='ectt-0900'>mla</span></a>  <a href='#enmark-46' id='ennote-46'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>46</span></sup></a><a id='x1-20046x'></a> <a href='https://ctan.org/pkg/bibtex'><span class='ectt-0900'>bibtex</span></a>  <a href='#enmark-47' id='ennote-47'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>47</span></sup></a><a id='x1-20047x'></a> <a href='https://ctan.org/pkg/biblatex'><span class='ectt-0900'>biblatex</span></a>  <a href='#enmark-48' id='ennote-48'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>48</span></sup></a><a id='x1-20048x'></a> <a href='https://ctan.org/pkg/exam'><span class='ectt-0900'>exam</span></a>  <a href='#enmark-49' id='ennote-49'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>49</span></sup></a><a id='x1-20049x'></a> <a href='https://ctan.org/pkg/beamer'><span class='ectt-0900'>beamer</span></a>  <a href='#enmark-50' id='ennote-50'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>50</span></sup></a><a id='x1-20050x'></a> <a href='https://ctan.org/pkg/fntguide'><span class='ectt-0900'>fntguide</span></a>  <a href='#enmark-51' id='ennote-51'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>51</span></sup></a><a id='x1-20051x'></a> <a href='https://ctan.org/pkg/pdftex'><span class='ectt-0900'>pdftex</span></a>  <a href='#enmark-52' id='ennote-52'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>52</span></sup></a><a id='x1-20052x'></a> <a href='https://ctan.org/pkg/xetex'><span class='ectt-0900'>xetex</span></a>  <a href='#enmark-53' id='ennote-53'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>53</span></sup></a><a id='x1-20053x'></a> <a href='https://ctan.org/pkg/luatex'><span class='ectt-0900'>luatex</span></a>  <a href='#enmark-54' id='ennote-54'><sup class='textsuperscript'><span class='Spectral-Light-lf-t1-'>54</span></sup></a><a id='x1-20054x'></a>
<a href='https://ctan.org/pkg/fontspec'><span class='ectt-0900'>fontspec</span></a>
</p>
   </div>
    
</body> 
</html>
